DATE(1)

NOMBRE
date - muestra o define la fecha y hora del sistema

SINOPSIS
date [OPCIÓN]... [+FORMATO]
date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

DESCRIPCIÓN

Muestra la fecha y hora actual en el FORMATO indicado. Con la opción -s o con [MMDDhhmm[[CC]YY][.ss]] define la fecha y la hora.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-d, --date=CADENA
    muestra la fecha y hora según se indique en la CADENA, por ejemplo "now"

--debug
    muestra la fecha solicitada dando cuenta por la salida de error estándar de cualquier uso cuestionable

-f, --file=ARCHIVO
    igual que --date; pero ejecutando una vez por cada línea de ARCHIVO

-I[FMT], --iso-8601[=FMT]
    muestra la fecha y hora en formato ISO 8601. Puede usarse FMT="date" si se desea ver solo la fecha (por defecto), "hours", "minutes", "seconds" o "ns" para obtener otros formatos de fecha y hora. Por ejemplo: 2006-08-14T02:34:56-06:00

--resolution
    muestra la exactitud disponible para las marcas de tiempo, p. ej: 0.000000001

-R, --rfc-email
    muestra la fecha y hora en el formato definido en el RFC 5322. Por ejemplo: Mon, 14 Aug 2006 02:34:56 -0600

--rfc-3339=FMT
    muestra la fecha/hora con formato RFC 3339. "FMT" puede ser "date", "seconds" o "ns" según la precisión deseada. Por ejemplo: 2021-05-30 14:54:04+02:00

-r, --reference=ARCHIVO
    muestra la fecha y hora de la última modificación de ARCHIVO

-s, --set=CADENA
    define la fecha y hora tal como se especifica en CADENA

-u, --utc, --universal
    muestra o define fecha y hora en formato UTC (Coordinated Universal Time)

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

FORMATO controla la salida. Las secuencias que se interpretan son las siguientes:

%%  símbolo "%" literal

%a  nombre del día de la semana localizado y abreviado (p.ej. Dom)

%A  nombre del día de la semana localizado completo (p.ej. Domingo)

%b  nombre del mes localizado y abreviado (p.ej. ene)

%B  nombre del mes localizado y completo (p.ej. agosto)

%c  fecha y hora localizadas (por ejemplo: dom 30 may 2021 15:09:59)

%C  siglo, al igual que %Y pero omitiendo los dos últimos dígitos (p.ej: 21)

%d  día del mes (p.ej:05)

%D  fecha; igual que %m/%d/%y

%e  día del mes, con separación; igual que %_d

%F  fecha completa, igual que %+4Y-%m-%d

%g  últimos dos dígitos del año correspondiente al número de semana ISO (consulte %G)

%G  año correspondiente al número de semana ISO (consulte %V); en general solo es útil combinado con %V

%h  idéntico a %b

%H  hora (00..23)

%I  hora (01..12)

%j  día del año (001..366)

%k  hora, espaciada ( 0..23); igual que %_H

%l  hora, espaciada ( 1..12; igual que %_I

%m  mes (01..12)

%M  minuto (00..59)

%n  nueva línea

%N  nanosegundos (000000000..999999999)

%p  equivalente localizado de AM o PM; en blanco si es desconocido

%P  igual que %p, pero en mayúsculas

%q  cuatrimestre (1..4)

%r  hora localizada en el sistema horario de 12 horas (por ejemplo: 04:30:42)

%R  hora y minuto en el sistema horario de 24 horas; igual que %H:%M

%s  segundos desde el Inicio (Epoch) 1970-01-01 00:00:00 UTC

%S  segundo (00..60)

%t  tabulación

%T  hora; igual que %H:%M:%S

%u  día de la semana (1..7); 1 corresponde a lunes

%U  número de semana dentro del año, considerando el domingo como primer día de la semana (00..53)

%V  Número de semana ISO, considera el lunes como primer día de la semana (01..53)

%w  día de la semana(00..6); 0el 0 correspondería al domingo

%W  número de semana en el año, considera el lunes como primer día de la semana (00..53)

%x  representación localizada de la fecha (p.ej: 30/05/21)

%X  representación de la hora en formato localizado (p.ej: 16:41:56)

%y  últimos dos dígitos del año (00..99)

%Y  año

%z  +hhmm representación numérica de la zona horaria (p.ej: +0200)

%:z +hh:mm representación numérica de la zona horaria (p.ej: +02:00)

%::z
    +hh:mm:ss representación numérica de la zona horaria (p.ej: +02:00:00)

%:::z
    representación numérica de la zona horaria con la precisión requerida (p.ej: +02, +02:10)

%Z  Abreviatura alfabética de la zona horaria (p.ej: CEST)

Por defecto, se rellenarán con ceros los huecos en las fechas. Estas opciones pueden ir a continuación de '%':

-   (guión) no rellena

_   (guión bajo) rellena con espacios

0   (zero) rellena con ceros

+   separa con ceros y añade un '+' antes de un año con >4 dígitos si corresponde al futuro.

^   emplea mayúsculas si posible

#   emplea minúsculas si es posible

Después de cualquier opción viene un ancho de campo opcional, en forma de número decimal; luego un modificador opcional, que es E para usar las representaciones alternativas de la configuración regional si están disponibles, o O para usar los símbolos numéricos alternativos de la configuración regional si están disponibles.

EJEMPLOS
convierte los segundos desde el Inicio (Epoch: 01-01-1970 UTC) a una determinada fecha

    $ date --date='@2147483647'

muestra la hora en la costa oeste de EEUU (emplea tzselect(1) para averiguar la zona horaria)

    $ TZ='America/Los_Angeles' date

Muestra la hora local para las 9AM del próximo miércoles en la costa oeste de EEUU

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

CADENA DE FECHA
--date=CADENA es una cadena de texto con un formato más o menos libre para indicar una fecha, por ejemplo "lun 02 nov 2020 22:38:49 CET" o bien "2020-02-29 16:21:42", incluso podría ser "next Thursday". El texto de fecha puede incluir la fecha, la hora, la zona horaria, el día de la semana, fechas y horas relativas así como otros datos. Una cadena vacía hace referencia al inicio del día. La cadena de fecha tiene un formato más complejo que el descrito aquí, puede consultar la página info para una descripción más detallada.

AUTOR
Escrito por David MacKenzie.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/date>
también disponible localemente ejecutando: info '(coreutils) date invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.